"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const Command_1 = require("@framework/commands/Command");
const axios_1 = require("@sudobot/utils/axios");
class AnimeCommand extends Command_1.Command {
    constructor() {
        super(...arguments);
        this.name = "anime";
        this.description = "Fetch a random neko, waifu, or kitsune image";
        this.permissions = [];
        this.defer = true;
    }
    async execute(context) {
        const apis = [
            "https://nekos.best/api/v2/neko",
            "https://nekos.best/api/v2/waifu",
            "https://nekos.best/api/v2/kitsune"
        ];
        const randomApi = apis[Math.floor(Math.random() * apis.length)];
        try {
            const response = await (0, axios_1.getAxiosClient)().get(randomApi);
            if (response.status < 200 || response.status >= 300) {
                throw new Error("Invalid status code");
            }
            await context.reply({
                files: [
                    {
                        attachment: response.data.results[0].url
                    }
                ]
            });
        }
        catch (error) {
            this.application.logger.error(error);
            await context.error("Failed to fetch an image.");
        }
    }
}
exports.default = AnimeCommand;
